<div class="ui text left aligned dividing header">
  <div class="ui one column stackable grid">
    <div class="column">
      <h1>
        <a href="<%= admin_user_users_path %>">
          <i class="arrow alternate circle left icon"></i>
        </a>
        <%= @user.identification_number.upcase %> - <%= @user.full_name.titleize %>
      </h1>
    </div>
  </div>
</div>

<div class="ui two column stackable grid">
  <div class="column">
    <strong>Filtrar por período</strong>
    <%= select_tag(:period_id,
                   options_for_select(@periods.collect {|period| [period.name.upcase, period.id]}.sort),
                   class: 'student-period ui fluid selection dropdown', prompt: "#{current_period.name.upcase}")%>
  </div>
</div>


<div class="ui two column stackable grid">
  <div class="student-subject-col column">
    <div class="subject-steps ui fluid vertical steps">
      <%= render 'admin/user/reports/student/subjects' %>
    </div>
  </div>

  <div class="right-column-loader-div column" style="display: flex; align-items: center; justify-content: center">
    <div class="right-column-loader ui active text inline loader" style="display: none">Cargando...</div>
  </div>



  <div class="right-column column" style="display: none;">
    <div class="ui segment">
      <div class="right-column-content content">
<!--        Rendering the js content-->
      </div>
    </div>
  </div>
</div>

<script>
  $('.student-period').change(function (){
    $.ajax({
      url: `/admin/user/users/<%= @user.id %>/reports/student_progress`,
      method: 'GET',
      dataType: 'script',
      data: {
        period_id: $(this).val()
      }
    }).done(function (){
      $('.right-column').hide()
    })
  })
</script>

<style>
  .student-subject-period-drodpdown {
    max-height: 1px !important;
  }

  .student-subject-col {
    max-height: 35rem;
    overflow:auto;
  }

  .subject-card {
    cursor: pointer;
  }
</style>





